package net.northking.cctp.element.ats.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class AtsScenarioExecute {
    /**
     * projectId	项目Id	Long	是
     * scriptId	脚本Id	Long	是
     * environmentId	环境Id	Long	是
     * executionService	执行机编码	String 	是
     * dataSet	数据集数据	Map	是
     * type	Ui调用类型	String	Ui脚本/用例/计划调用
     * uiScriptName	Ui脚本名称	String	Ui脚本名称
     * executorName	ui执行人名称	String	ui脚本执行人名称
     */
    @ApiModelProperty("项目Id")
    @NotNull(message = "项目id不能为空")
    private String projectId;
    @ApiModelProperty(value = "执行脚本id")
    @NotNull(message = "脚本id不能为空")
    private String scriptId;

    @ApiModelProperty(value = "执行环境id")
    private String environmentId;
    @ApiModelProperty(value = "环境组别id")
    private String environmentGroupId;

    @ApiModelProperty(value = "执行机组编码")
    @NotBlank(message = "执行机组编码不能为空")
    private String executionService;

    @ApiModelProperty(value = "UI调用类型：Ui脚本/用例/计划名称")
    @NotBlank(message = "UI调用类型名称不能为空")
    private String type;

    @ApiModelProperty(value = "脚本名称")
    @NotBlank(message = "脚本名称不能为空")
    private String uiScriptName;

    @ApiModelProperty(value = "执行人名称")
    private String executorName;

    /**
     * "dataSetId":"224771067334510016",
     * "cycleId":"224771067338704320",
     */
    @ApiModelProperty(value = "数据集id")
    private String dataSetId;
    @ApiModelProperty(value = "轮次id")
    private String cycleId;


    @ApiModelProperty(value = "传入redis 缓存key")
    private String executionKey;


    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public String getEnvironmentId() {
        return environmentId;
    }

    public void setEnvironmentId(String environmentId) {
        this.environmentId = environmentId;
    }

    public String getEnvironmentGroupId() {
        return environmentGroupId;
    }

    public void setEnvironmentGroupId(String environmentGroupId) {
        this.environmentGroupId = environmentGroupId;
    }

    public String getExecutionService() {
        return executionService;
    }

    public void setExecutionService(String executionService) {
        this.executionService = executionService;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUiScriptName() {
        return uiScriptName;
    }

    public void setUiScriptName(String uiScriptName) {
        this.uiScriptName = uiScriptName;
    }

    public String getExecutorName() {
        return executorName;
    }

    public void setExecutorName(String executorName) {
        this.executorName = executorName;
    }

    public String getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(String dataSetId) {
        this.dataSetId = dataSetId;
    }

    public String getCycleId() {
        return cycleId;
    }

    public void setCycleId(String cycleId) {
        this.cycleId = cycleId;
    }

    public String getExecutionKey() {
        return executionKey;
    }

    public void setExecutionKey(String executionKey) {
        this.executionKey = executionKey;
    }
}
